package org.bdware.sc.bean;

import org.bdware.sc.node.AnnotationNode;

import java.io.Serializable;
import java.util.List;

public class FunctionDesp implements Serializable {
    public List<AnnotationNode> annotations;
    public String functionName;
    public RouteInfo routeInfo;

    public FunctionDesp(String name, List<AnnotationNode> anno, RouteInfo routeInfo) {
        functionName = name;
        annotations = anno;
        this.routeInfo = routeInfo;
    }

    public RouteInfo getRoute() {
        return routeInfo;
    }
}
